extern char *malloc(), *realloc();

# line 2 "gram.y"
# include "swbus.h"
# define YYSTYPE         yystype
# define putgrn(n)       (void)ITadd(n, gl)
# define class(nt)       { cls= 0; xxc= nt-1;   \
               for (xc= 0; xc < nt; xc++, xxc--)    \
                             if (stpick(xc)->type != tNULL) \
                 cls += (1 << xxc);}
# define ndput(tp)   { stput(tp);   \
               if (gn != NULL){gn->value0=  \
                  (CLR_TYPE)IAT_IT_add(gl, grnl); \
                  gl->size= 0;} \
               gn= (sttype() == tNULL) ? NULL : sttop(); }
# define ndterm(tp, val) { stput (tp);  \
                       staclr (c_lexv, (CLR_TYPE)val.name); \
                       staclr (c_line, (CLR_TYPE)val.line);}

IT* gl;
TNODE*  gn;
int cls;
int xc;
int xxc;

# define NOTHING 260
#define yyclearin yychar = -1
#define yyerrok yyerrflag = 0
extern int yychar;
extern int yyerrflag;
#ifndef YYMAXDEPTH
#define YYMAXDEPTH 150
#endif
#ifndef YYSTYPE
#define YYSTYPE int
#endif
YYSTYPE yylval, yyval;
# define YYERRCODE 256

# line 1320 "gram.y"


PRIVATE int
yylex ()
{
    token *tk;

   tk = gtk ();
   yylval = tk->yylval;
   return tk->type;
}

PUBLIC TNODE*
bast ()
{
   gl= ITcreate (4, 2, 1);
   gn= NULL;
   (void)yyparse();
   if (gn != NULL) gn->value0= (CLR_TYPE)IAT_IT_add(gl, grnl);
   return sttop();
}
int yyexca[] ={
-1, 1,
	0, -1,
	-2, 0,
	};
# define YYNPROD 134
# define YYLAST 116
int yyact[]={

    40,    90,     6,    83,    46,     3,    57,    64,    56,    35,
    10,    51,    61,    50,     9,    66,    10,    49,    58,     5,
    53,     4,    44,    62,    59,    54,    55,    52,    41,    43,
    42,    76,    48,    39,    74,    47,    38,    37,    65,   113,
    67,    68,    69,    75,    77,    70,    73,    81,    72,    71,
    45,    79,    36,   111,    84,    82,    80,    81,    97,    78,
    88,    85,    87,    89,    91,    96,    86,    95,    94,    98,
    93,    92,   100,   102,   107,    63,   106,   105,   108,   109,
   104,    34,   103,   110,    33,   101,    32,    99,    31,    30,
    29,    28,    27,    26,    25,    24,    23,    22,    21,    20,
    19,    18,    17,    16,    15,    14,    13,    12,    11,     8,
     7,    60,     2,   112,   114,     1 };
int yypact[]={

  -258, -1000,  -260, -1000,  -258, -1000, -1000,  -258,  -260, -1000,
  -260, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
 -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
 -1000, -1000,  -260,  -260,  -260, -1000, -1000, -1000,  -258,  -258,
 -1000, -1000,  -258,  -257, -1000, -1000, -1000, -1000, -1000, -1000,
 -1000, -1000,  -258,  -259, -1000, -1000, -1000, -1000, -1000, -1000,
 -1000, -1000, -1000, -1000,  -260, -1000, -1000,  -260,  -260,  -260,
  -260,  -260, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
 -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
 -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
 -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,  -260,  -260,
 -1000, -1000, -1000, -1000, -1000 };
int yypgo[]={

     0,   115,   112,     4,   111,   110,   109,    14,     7,   108,
   107,   106,   105,   104,   103,   102,   101,   100,    99,    98,
    97,    96,    95,    94,    93,    92,    91,    90,    89,    88,
    87,    86,    85,    84,    82,    81,    80,    77,    76,    75,
    71,    70,    68,    67,    65,    58,    53,     9,    52,    50,
    49,    48,    39,    38,    37,    36,    35,    34,    33,    32,
    31,    30,    13,    29,    11,    28,    17,    27,     8,    26,
    25,    22,    21,    19,    20,     6,    18 };
int yyr1[]={

     0,     2,     2,     4,     4,     1,     6,     6,     5,     7,
     8,     8,     8,     8,     8,     8,     8,     8,     8,     8,
     8,     8,     8,     8,     8,     8,     8,     8,     8,     8,
     8,    30,    30,     9,    32,    32,    10,    34,    34,    11,
    36,    36,    12,    37,    37,    13,    38,    38,    14,    39,
    39,    15,    40,    40,    16,    41,    41,    17,    42,    42,
    18,    43,    43,    19,    44,    44,    20,    45,    45,    21,
    46,    46,    22,    48,    48,    50,    50,    52,    52,    23,
    53,    53,    24,    54,    54,    25,    55,    55,    57,    57,
    26,    58,    58,    60,    60,    27,    28,    29,    61,    61,
    33,    63,    63,    35,    64,    51,    65,    65,    31,    66,
    67,    67,    49,    68,    68,    69,    69,    62,    70,    70,
    59,    71,    71,    47,    72,    72,     3,    73,    74,    74,
    56,    75,    75,    76 };
int yyr2[]={

     0,     1,     2,     1,     2,     7,     2,     5,     3,     3,
     3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
     3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
     3,     1,     2,     7,     1,     2,     7,     1,     2,     7,
     1,     2,     7,     1,     2,     7,     1,     2,     7,     1,
     2,     5,     1,     2,     7,     1,     2,     7,     1,     2,
     7,     1,     2,     7,     1,     2,     7,     1,     2,     7,
     1,     2,     9,     1,     2,     1,     2,     1,     2,     9,
     1,     2,     5,     1,     2,     3,     1,     2,     1,     2,
     5,     1,     2,     1,     2,     5,     3,     3,     2,     5,
     3,     2,     5,     3,     3,     5,     2,     5,     3,     3,
     2,     5,     3,     3,     3,     1,     2,     3,     2,     5,
     3,     1,     5,     3,     2,     5,     3,     3,     2,     5,
     3,     3,     3,     3 };
int yychk[]={

 -1000,    -1,    -2,    -3,   -72,   -73,   260,    -5,    -6,    -7,
    -8,    -9,   -10,   -11,   -12,   -13,   -14,   -15,   -16,   -17,
   -18,   -19,   -20,   -21,   -22,   -23,   -24,   -25,   -26,   -27,
   -28,   -29,   -31,   -33,   -35,   -47,   -48,   -54,   -55,   -58,
   260,   -65,   -61,   -63,   -71,   -49,    -3,   -56,   -59,   -66,
   -62,   -64,   -67,   -74,   -70,   -69,   -68,   -75,   -76,   -73,
    -4,    -3,    -7,   -39,    -8,   -53,    -3,    -8,    -8,    -8,
   -47,   -50,   -51,   -47,   -57,    -3,   -60,    -3,   -66,   -47,
   -62,    -3,   -64,   260,   -47,   -68,   -62,   -47,   -75,   -47,
   260,   -47,   -40,   -41,   -42,   -43,   -44,   -45,    -3,   -30,
    -3,   -32,    -3,   -34,   -36,   -37,   -38,    -3,    -8,    -8,
   -47,   -46,    -3,   -52,    -3 };
int yydef[]={

     1,    -2,    73,     2,   126,   124,   127,     3,     8,     6,
     9,    10,    11,    12,    13,    14,    15,    16,    17,    18,
    19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
    29,    30,    73,    73,    73,   109,    75,    85,    88,    93,
    97,   108,   100,   103,   121,    74,    84,    87,    92,   106,
    98,   101,   112,   121,   120,   117,   110,   128,   132,   125,
     5,     4,     7,    51,    49,    82,    50,    31,    34,    37,
    73,    73,    76,   121,    90,    89,    95,    94,   107,   109,
    99,   116,   102,   104,   122,   111,   113,   114,   129,   131,
   133,   119,    54,    57,    60,    63,    66,    69,    50,    33,
    32,    36,    35,    39,    42,    45,    48,    38,    49,    49,
   105,    72,    50,    79,    50 };
typedef struct { char *t_name; int t_val; } yytoktype;
#ifndef YYDEBUG
#	define YYDEBUG	0	/* don't allow debugging */
#endif

#if YYDEBUG

yytoktype yytoks[] =
{
	"NOTHING",	260,
	"-unknown-",	-1	/* ends search */
};

char * yyreds[] =
{
	"-no such reduction-",
	"I1opt : /* empty */",
	"I1opt : annotation_list",
	"I2opt : /* empty */",
	"I2opt : annotation_list",
	"lbm : I1opt BUT_definition_list I2opt",
	"I3repp : BUT_definition",
	"I3repp : I3repp BUT_definition",
	"BUT_definition_list : I3repp",
	"BUT_definition : state",
	"state : let_exp",
	"state : var_choice_exp",
	"state : gate_choice_exp",
	"state : par_exp_full_synch",
	"state : par_exp_inter",
	"state : par_exp_expli",
	"state : hiding_exp",
	"state : enable_exp",
	"state : disable_exp",
	"state : parallel_full_synch",
	"state : parallel_interleaving",
	"state : parallel_explicit",
	"state : choice_exp",
	"state : guard_exp",
	"state : external_offer",
	"state : internal_action",
	"state : stop_exp",
	"state : exit_exp",
	"state : BUT_instantiation",
	"state : relabel",
	"state : call",
	"I4opt : /* empty */",
	"I4opt : annotation_list",
	"let_exp : ident_equation_list state I4opt",
	"I5opt : /* empty */",
	"I5opt : annotation_list",
	"var_choice_exp : var_domain_list state I5opt",
	"I6opt : /* empty */",
	"I6opt : annotation_list",
	"gate_choice_exp : gate_domain_list state I6opt",
	"I7opt : /* empty */",
	"I7opt : annotation_list",
	"par_exp_full_synch : gate_domain_list state I7opt",
	"I8opt : /* empty */",
	"I8opt : annotation_list",
	"par_exp_inter : gate_domain_list state I8opt",
	"I9opt : /* empty */",
	"I9opt : annotation_list",
	"par_exp_expli : gate_domain_list state I9opt",
	"I10opt : /* empty */",
	"I10opt : annotation_list",
	"hiding_exp : state I10opt",
	"I11opt : /* empty */",
	"I11opt : annotation_list",
	"enable_exp : state state I11opt",
	"I12opt : /* empty */",
	"I12opt : annotation_list",
	"disable_exp : state state I12opt",
	"I13opt : /* empty */",
	"I13opt : annotation_list",
	"parallel_full_synch : state state I13opt",
	"I14opt : /* empty */",
	"I14opt : annotation_list",
	"parallel_interleaving : state state I14opt",
	"I15opt : /* empty */",
	"I15opt : annotation_list",
	"parallel_explicit : state state I15opt",
	"I16opt : /* empty */",
	"I16opt : annotation_list",
	"choice_exp : state state I16opt",
	"I17opt : /* empty */",
	"I17opt : annotation_list",
	"guard_exp : value_exp value_exp state I17opt",
	"I18opt : /* empty */",
	"I18opt : experiment_list",
	"I19opt : /* empty */",
	"I19opt : predicate",
	"I20opt : /* empty */",
	"I20opt : annotation_list",
	"external_offer : I18opt I19opt state I20opt",
	"I21opt : /* empty */",
	"I21opt : annotation_list",
	"internal_action : state I21opt",
	"I22opt : /* empty */",
	"I22opt : annotation_list",
	"stop_exp : I22opt",
	"I23opt : /* empty */",
	"I23opt : exit_offer_list",
	"I24opt : /* empty */",
	"I24opt : annotation_list",
	"exit_exp : I23opt I24opt",
	"I25opt : /* empty */",
	"I25opt : value_exp_list",
	"I26opt : /* empty */",
	"I26opt : annotation_list",
	"BUT_instantiation : I25opt I26opt",
	"relabel : state",
	"call : NOTHING",
	"I27repp : var_id",
	"I27repp : I27repp var_id",
	"var_domain_list : I27repp",
	"I28repp : gate_domain",
	"I28repp : I28repp gate_domain",
	"gate_domain_list : I28repp",
	"gate_domain : NOTHING",
	"predicate : value_exp value_exp",
	"I29repp : ident_equation",
	"I29repp : I29repp ident_equation",
	"ident_equation_list : I29repp",
	"ident_equation : value_exp",
	"I30repp : experiment",
	"I30repp : I30repp experiment",
	"experiment_list : I30repp",
	"experiment : var_id",
	"experiment : value_exp",
	"I31opt : /* empty */",
	"I31opt : annotation_list",
	"var_id : I31opt",
	"I32repp : value_exp",
	"I32repp : I32repp value_exp",
	"value_exp_list : I32repp",
	"I33repa : /* empty */",
	"I33repa : I33repa value_exp",
	"value_exp : I33repa",
	"I34repp : annotation",
	"I34repp : I34repp annotation",
	"annotation_list : I34repp",
	"annotation : NOTHING",
	"I35repp : exit_ent",
	"I35repp : I35repp exit_ent",
	"exit_offer_list : I35repp",
	"exit_ent : value_exp",
	"exit_ent : sort_id",
	"sort_id : NOTHING",
};
#endif /* YYDEBUG */
#line 1 "/usr/lib/yaccpar"
/*	@(#)yaccpar 1.10 89/04/04 SMI; from S5R3 1.10	*/

/*
** Skeleton parser driver for yacc output
*/

/*
** yacc user known macros and defines
*/
#define YYERROR		goto yyerrlab
#define YYACCEPT	{ free(yys); free(yyv); return(0); }
#define YYABORT		{ free(yys); free(yyv); return(1); }
#define YYBACKUP( newtoken, newvalue )\
{\
	if ( yychar >= 0 || ( yyr2[ yytmp ] >> 1 ) != 1 )\
	{\
		yyerror( "syntax error - cannot backup" );\
		goto yyerrlab;\
	}\
	yychar = newtoken;\
	yystate = *yyps;\
	yylval = newvalue;\
	goto yynewstate;\
}
#define YYRECOVERING()	(!!yyerrflag)
#ifndef YYDEBUG
#	define YYDEBUG	1	/* make debugging available */
#endif

/*
** user known globals
*/
int yydebug;			/* set to 1 to get debugging */

/*
** driver internal defines
*/
#define YYFLAG		(-1000)

/*
** static variables used by the parser
*/
static YYSTYPE *yyv;			/* value stack */
static int *yys;			/* state stack */

static YYSTYPE *yypv;			/* top of value stack */
static int *yyps;			/* top of state stack */

static int yystate;			/* current state */
static int yytmp;			/* extra var (lasts between blocks) */

int yynerrs;			/* number of errors */

int yyerrflag;			/* error recovery flag */
int yychar;			/* current input token number */


/*
** yyparse - return 0 if worked, 1 if syntax error not recovered from
*/
int
yyparse()
{
	register YYSTYPE *yypvt;	/* top of value stack for $vars */
	unsigned yymaxdepth = YYMAXDEPTH;

	/*
	** Initialize externals - yyparse may be called more than once
	*/
	yyv = (YYSTYPE*)malloc(yymaxdepth*sizeof(YYSTYPE));
	yys = (int*)malloc(yymaxdepth*sizeof(int));
	if (!yyv || !yys)
	{
		yyerror( "out of memory" );
		return(1);
	}
	yypv = &yyv[-1];
	yyps = &yys[-1];
	yystate = 0;
	yytmp = 0;
	yynerrs = 0;
	yyerrflag = 0;
	yychar = -1;

	goto yystack;
	{
		register YYSTYPE *yy_pv;	/* top of value stack */
		register int *yy_ps;		/* top of state stack */
		register int yy_state;		/* current state */
		register int  yy_n;		/* internal state number info */

		/*
		** get globals into registers.
		** branch to here only if YYBACKUP was called.
		*/
	yynewstate:
		yy_pv = yypv;
		yy_ps = yyps;
		yy_state = yystate;
		goto yy_newstate;

		/*
		** get globals into registers.
		** either we just started, or we just finished a reduction
		*/
	yystack:
		yy_pv = yypv;
		yy_ps = yyps;
		yy_state = yystate;

		/*
		** top of for (;;) loop while no reductions done
		*/
	yy_stack:
		/*
		** put a state and value onto the stacks
		*/
#if YYDEBUG
		/*
		** if debugging, look up token value in list of value vs.
		** name pairs.  0 and negative (-1) are special values.
		** Note: linear search is used since time is not a real
		** consideration while debugging.
		*/
		if ( yydebug )
		{
			register int yy_i;

			(void)printf( "State %d, token ", yy_state );
			if ( yychar == 0 )
				(void)printf( "end-of-file\n" );
			else if ( yychar < 0 )
				(void)printf( "-none-\n" );
			else
			{
				for ( yy_i = 0; yytoks[yy_i].t_val >= 0;
					yy_i++ )
				{
					if ( yytoks[yy_i].t_val == yychar )
						break;
				}
				(void)printf( "%s\n", yytoks[yy_i].t_name );
			}
		}
#endif /* YYDEBUG */
		if ( ++yy_ps >= &yys[ yymaxdepth ] )	/* room on stack? */
		{
			/*
			** reallocate and recover.  Note that pointers
			** have to be reset, or bad things will happen
			*/
			int yyps_index = (yy_ps - yys);
			int yypv_index = (yy_pv - yyv);
			int yypvt_index = (yypvt - yyv);
			yymaxdepth += YYMAXDEPTH;
			yyv = (YYSTYPE*)realloc((char*)yyv,
				yymaxdepth * sizeof(YYSTYPE));
			yys = (int*)realloc((char*)yys,
				yymaxdepth * sizeof(int));
			if (!yyv || !yys)
			{
				yyerror( "yacc stack overflow" );
				return(1);
			}
			yy_ps = yys + yyps_index;
			yy_pv = yyv + yypv_index;
			yypvt = yyv + yypvt_index;
		}
		*yy_ps = yy_state;
		*++yy_pv = yyval;

		/*
		** we have a new state - find out what to do
		*/
	yy_newstate:
		if ( ( yy_n = yypact[ yy_state ] ) <= YYFLAG )
			goto yydefault;		/* simple state */
#if YYDEBUG
		/*
		** if debugging, need to mark whether new token grabbed
		*/
		yytmp = yychar < 0;
#endif
		if ( ( yychar < 0 ) && ( ( yychar = yylex() ) < 0 ) )
			yychar = 0;		/* reached EOF */
#if YYDEBUG
		if ( yydebug && yytmp )
		{
			register int yy_i;

			(void)printf( "Received token " );
			if ( yychar == 0 )
				(void)printf( "end-of-file\n" );
			else if ( yychar < 0 )
				(void)printf( "-none-\n" );
			else
			{
				for ( yy_i = 0; yytoks[yy_i].t_val >= 0;
					yy_i++ )
				{
					if ( yytoks[yy_i].t_val == yychar )
						break;
				}
				(void)printf( "%s\n", yytoks[yy_i].t_name );
			}
		}
#endif /* YYDEBUG */
		if ( ( ( yy_n += yychar ) < 0 ) || ( yy_n >= YYLAST ) )
			goto yydefault;
		if ( yychk[ yy_n = yyact[ yy_n ] ] == yychar )	/*valid shift*/
		{
			yychar = -1;
			yyval = yylval;
			yy_state = yy_n;
			if ( yyerrflag > 0 )
				yyerrflag--;
			goto yy_stack;
		}

	yydefault:
		if ( ( yy_n = yydef[ yy_state ] ) == -2 )
		{
#if YYDEBUG
			yytmp = yychar < 0;
#endif
			if ( ( yychar < 0 ) && ( ( yychar = yylex() ) < 0 ) )
				yychar = 0;		/* reached EOF */
#if YYDEBUG
			if ( yydebug && yytmp )
			{
				register int yy_i;

				(void)printf( "Received token " );
				if ( yychar == 0 )
					(void)printf( "end-of-file\n" );
				else if ( yychar < 0 )
					(void)printf( "-none-\n" );
				else
				{
					for ( yy_i = 0;
						yytoks[yy_i].t_val >= 0;
						yy_i++ )
					{
						if ( yytoks[yy_i].t_val
							== yychar )
						{
							break;
						}
					}
					(void)printf( "%s\n", yytoks[yy_i].t_name );
				}
			}
#endif /* YYDEBUG */
			/*
			** look through exception table
			*/
			{
				register int *yyxi = yyexca;

				while ( ( *yyxi != -1 ) ||
					( yyxi[1] != yy_state ) )
				{
					yyxi += 2;
				}
				while ( ( *(yyxi += 2) >= 0 ) &&
					( *yyxi != yychar ) )
					;
				if ( ( yy_n = yyxi[1] ) < 0 )
					YYACCEPT;
			}
		}

		/*
		** check for syntax error
		*/
		if ( yy_n == 0 )	/* have an error */
		{
			/* no worry about speed here! */
			switch ( yyerrflag )
			{
			case 0:		/* new error */
				yyerror( "syntax error" );
				goto skip_init;
			yyerrlab:
				/*
				** get globals into registers.
				** we have a user generated syntax type error
				*/
				yy_pv = yypv;
				yy_ps = yyps;
				yy_state = yystate;
				yynerrs++;
			skip_init:
			case 1:
			case 2:		/* incompletely recovered error */
					/* try again... */
				yyerrflag = 3;
				/*
				** find state where "error" is a legal
				** shift action
				*/
				while ( yy_ps >= yys )
				{
					yy_n = yypact[ *yy_ps ] + YYERRCODE;
					if ( yy_n >= 0 && yy_n < YYLAST &&
						yychk[yyact[yy_n]] == YYERRCODE)					{
						/*
						** simulate shift of "error"
						*/
						yy_state = yyact[ yy_n ];
						goto yy_stack;
					}
					/*
					** current state has no shift on
					** "error", pop stack
					*/
#if YYDEBUG
#	define _POP_ "Error recovery pops state %d, uncovers state %d\n"
					if ( yydebug )
						(void)printf( _POP_, *yy_ps,
							yy_ps[-1] );
#	undef _POP_
#endif
					yy_ps--;
					yy_pv--;
				}
				/*
				** there is no state on stack with "error" as
				** a valid shift.  give up.
				*/
				YYABORT;
			case 3:		/* no shift yet; eat a token */
#if YYDEBUG
				/*
				** if debugging, look up token in list of
				** pairs.  0 and negative shouldn't occur,
				** but since timing doesn't matter when
				** debugging, it doesn't hurt to leave the
				** tests here.
				*/
				if ( yydebug )
				{
					register int yy_i;

					(void)printf( "Error recovery discards " );
					if ( yychar == 0 )
						(void)printf( "token end-of-file\n" );
					else if ( yychar < 0 )
						(void)printf( "token -none-\n" );
					else
					{
						for ( yy_i = 0;
							yytoks[yy_i].t_val >= 0;
							yy_i++ )
						{
							if ( yytoks[yy_i].t_val
								== yychar )
							{
								break;
							}
						}
						(void)printf( "token %s\n",
							yytoks[yy_i].t_name );
					}
				}
#endif /* YYDEBUG */
				if ( yychar == 0 )	/* reached EOF. quit */
					YYABORT;
				yychar = -1;
				goto yy_newstate;
			}
		}/* end if ( yy_n == 0 ) */
		/*
		** reduction by production yy_n
		** put stack tops, etc. so things right after switch
		*/
#if YYDEBUG
		/*
		** if debugging, print the string that is the user's
		** specification of the reduction which is just about
		** to be done.
		*/
		if ( yydebug )
			(void)printf( "Reduce by (%d) \"%s\"\n",
				yy_n, yyreds[ yy_n ] );
#endif
		yytmp = yy_n;			/* value to switch over */
		yypvt = yy_pv;			/* $vars top of value stack */
		/*
		** Look in goto table for next state
		** Sorry about using yy_state here as temporary
		** register variable, but why not, if it works...
		** If yyr2[ yy_n ] doesn't have the low order bit
		** set, then there is no action to be done for
		** this reduction.  So, no saving & unsaving of
		** registers done.  The only difference between the
		** code just after the if and the body of the if is
		** the goto yy_stack in the body.  This way the test
		** can be made before the choice of what to do is needed.
		*/
		{
			/* length of production doubled with extra bit */
			register int yy_len = yyr2[ yy_n ];

			if ( !( yy_len & 01 ) )
			{
				yy_len >>= 1;
				yyval = ( yy_pv -= yy_len )[1];	/* $$ = $1 */
				yy_state = yypgo[ yy_n = yyr1[ yy_n ] ] +
					*( yy_ps -= yy_len ) + 1;
				if ( yy_state >= YYLAST ||
					yychk[ yy_state =
					yyact[ yy_state ] ] != -yy_n )
				{
					yy_state = yyact[ yypgo[ yy_n ] ];
				}
				goto yy_stack;
			}
			yy_len >>= 1;
			yyval = ( yy_pv -= yy_len )[1];	/* $$ = $1 */
			yy_state = yypgo[ yy_n = yyr1[ yy_n ] ] +
				*( yy_ps -= yy_len ) + 1;
			if ( yy_state >= YYLAST ||
				yychk[ yy_state = yyact[ yy_state ] ] != -yy_n )
			{
				yy_state = yyact[ yypgo[ yy_n ] ];
			}
		}
					/* save until reenter driver code */
		yystate = yy_state;
		yyps = yy_ps;
		yypv = yy_pv;
	}
	/*
	** code supplied by user is placed in this switch
	*/
	switch( yytmp )
	{
		
case 1:
# line 35 "gram.y"
{ ndput (tNULL); } break;
case 3:
# line 44 "gram.y"
{ ndput (tNULL); } break;
case 5:
# line 53 "gram.y"
{
	if (errorcount == 0)
	{
	 class(3);
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 ndput(tlbm);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (stpick(1)->type == tNULL)
	      {stswap(); stpop();}
	 else stsflink ();
	 putgrn(1);
	}
	} break;
case 7:
# line 79 "gram.y"
{ if (errorcount == 0) stlrlink (); } break;
case 8:
# line 84 "gram.y"
{
	if (errorcount == 0)
	{
	 class(1);
	 ndput(tBUT_definition_list);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (stpick(1)->type == tNULL)
	      {stswap(); stpop();}
	 else stsflink ();
	 putgrn(2);
	}
	} break;
case 9:
# line 100 "gram.y"
{
	if (errorcount == 0)
	{
	 if (sttype() == tNULL){
		class(0);
		stpop();
	 }
	 else class(1);
	 ndput(tBUT_definition);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (cls == 1) stsflink ();
	 putgrn(3);
	}
	} break;
case 10:
# line 118 "gram.y"
{
	if (errorcount == 0)
	{
	 putgrn(4);
	}
	} break;
case 11:
# line 128 "gram.y"
{
	if (errorcount == 0)
	{
	 putgrn(5);
	}
	} break;
case 12:
# line 138 "gram.y"
{
	if (errorcount == 0)
	{
	 putgrn(6);
	}
	} break;
case 13:
# line 148 "gram.y"
{
	if (errorcount == 0)
	{
	 putgrn(7);
	}
	} break;
case 14:
# line 158 "gram.y"
{
	if (errorcount == 0)
	{
	 putgrn(8);
	}
	} break;
case 15:
# line 168 "gram.y"
{
	if (errorcount == 0)
	{
	 putgrn(9);
	}
	} break;
case 16:
# line 178 "gram.y"
{
	if (errorcount == 0)
	{
	 putgrn(10);
	}
	} break;
case 17:
# line 188 "gram.y"
{
	if (errorcount == 0)
	{
	 putgrn(11);
	}
	} break;
case 18:
# line 198 "gram.y"
{
	if (errorcount == 0)
	{
	 putgrn(12);
	}
	} break;
case 19:
# line 208 "gram.y"
{
	if (errorcount == 0)
	{
	 putgrn(13);
	}
	} break;
case 20:
# line 218 "gram.y"
{
	if (errorcount == 0)
	{
	 putgrn(14);
	}
	} break;
case 21:
# line 228 "gram.y"
{
	if (errorcount == 0)
	{
	 putgrn(15);
	}
	} break;
case 22:
# line 238 "gram.y"
{
	if (errorcount == 0)
	{
	 putgrn(16);
	}
	} break;
case 23:
# line 248 "gram.y"
{
	if (errorcount == 0)
	{
	 putgrn(17);
	}
	} break;
case 24:
# line 258 "gram.y"
{
	if (errorcount == 0)
	{
	 putgrn(18);
	}
	} break;
case 25:
# line 268 "gram.y"
{
	if (errorcount == 0)
	{
	 putgrn(19);
	}
	} break;
case 26:
# line 278 "gram.y"
{
	if (errorcount == 0)
	{
	 putgrn(20);
	}
	} break;
case 27:
# line 288 "gram.y"
{
	if (errorcount == 0)
	{
	 putgrn(21);
	}
	} break;
case 28:
# line 298 "gram.y"
{
	if (errorcount == 0)
	{
	 putgrn(22);
	}
	} break;
case 29:
# line 308 "gram.y"
{
	if (errorcount == 0)
	{
	 putgrn(23);
	}
	} break;
case 30:
# line 318 "gram.y"
{
	if (errorcount == 0)
	{
	 putgrn(24);
	}
	} break;
case 31:
# line 328 "gram.y"
{ ndput (tNULL); } break;
case 33:
# line 337 "gram.y"
{
	if (errorcount == 0)
	{
	 class(3);
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 ndput(tlet_exp);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (stpick(1)->type == tNULL)
	      {stswap(); stpop();}
	 else stsflink ();
	 putgrn(25);
	}
	} break;
case 34:
# line 359 "gram.y"
{ ndput (tNULL); } break;
case 36:
# line 368 "gram.y"
{
	if (errorcount == 0)
	{
	 class(3);
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 ndput(tvar_choice_exp);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (stpick(1)->type == tNULL)
	      {stswap(); stpop();}
	 else stsflink ();
	 putgrn(26);
	}
	} break;
case 37:
# line 390 "gram.y"
{ ndput (tNULL); } break;
case 39:
# line 399 "gram.y"
{
	if (errorcount == 0)
	{
	 class(3);
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 ndput(tgate_choice_exp);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (stpick(1)->type == tNULL)
	      {stswap(); stpop();}
	 else stsflink ();
	 putgrn(27);
	}
	} break;
case 40:
# line 421 "gram.y"
{ ndput (tNULL); } break;
case 42:
# line 430 "gram.y"
{
	if (errorcount == 0)
	{
	 class(3);
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 ndput(tpar_exp_full_synch);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (stpick(1)->type == tNULL)
	      {stswap(); stpop();}
	 else stsflink ();
	 putgrn(28);
	}
	} break;
case 43:
# line 452 "gram.y"
{ ndput (tNULL); } break;
case 45:
# line 461 "gram.y"
{
	if (errorcount == 0)
	{
	 class(3);
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 ndput(tpar_exp_inter);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (stpick(1)->type == tNULL)
	      {stswap(); stpop();}
	 else stsflink ();
	 putgrn(29);
	}
	} break;
case 46:
# line 483 "gram.y"
{ ndput (tNULL); } break;
case 48:
# line 492 "gram.y"
{
	if (errorcount == 0)
	{
	 class(3);
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 ndput(tpar_exp_expli);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (stpick(1)->type == tNULL)
	      {stswap(); stpop();}
	 else stsflink ();
	 putgrn(30);
	}
	} break;
case 49:
# line 514 "gram.y"
{ ndput (tNULL); } break;
case 51:
# line 523 "gram.y"
{
	if (errorcount == 0)
	{
	 class(2);
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 ndput(thiding_exp);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (stpick(1)->type == tNULL)
	      {stswap(); stpop();}
	 else stsflink ();
	 putgrn(31);
	}
	} break;
case 52:
# line 542 "gram.y"
{ ndput (tNULL); } break;
case 54:
# line 551 "gram.y"
{
	if (errorcount == 0)
	{
	 class(3);
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 ndput(tenable_exp);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (stpick(1)->type == tNULL)
	      {stswap(); stpop();}
	 else stsflink ();
	 putgrn(32);
	}
	} break;
case 55:
# line 573 "gram.y"
{ ndput (tNULL); } break;
case 57:
# line 582 "gram.y"
{
	if (errorcount == 0)
	{
	 class(3);
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 ndput(tdisable_exp);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (stpick(1)->type == tNULL)
	      {stswap(); stpop();}
	 else stsflink ();
	 putgrn(33);
	}
	} break;
case 58:
# line 604 "gram.y"
{ ndput (tNULL); } break;
case 60:
# line 613 "gram.y"
{
	if (errorcount == 0)
	{
	 class(3);
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 ndput(tparallel_full_synch);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (stpick(1)->type == tNULL)
	      {stswap(); stpop();}
	 else stsflink ();
	 putgrn(34);
	}
	} break;
case 61:
# line 635 "gram.y"
{ ndput (tNULL); } break;
case 63:
# line 644 "gram.y"
{
	if (errorcount == 0)
	{
	 class(3);
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 ndput(tparallel_interleaving);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (stpick(1)->type == tNULL)
	      {stswap(); stpop();}
	 else stsflink ();
	 putgrn(35);
	}
	} break;
case 64:
# line 666 "gram.y"
{ ndput (tNULL); } break;
case 66:
# line 675 "gram.y"
{
	if (errorcount == 0)
	{
	 class(3);
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 ndput(tparallel_explicit);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (stpick(1)->type == tNULL)
	      {stswap(); stpop();}
	 else stsflink ();
	 putgrn(36);
	}
	} break;
case 67:
# line 697 "gram.y"
{ ndput (tNULL); } break;
case 69:
# line 706 "gram.y"
{
	if (errorcount == 0)
	{
	 class(3);
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 ndput(tchoice_exp);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (stpick(1)->type == tNULL)
	      {stswap(); stpop();}
	 else stsflink ();
	 putgrn(37);
	}
	} break;
case 70:
# line 728 "gram.y"
{ ndput (tNULL); } break;
case 72:
# line 737 "gram.y"
{
	if (errorcount == 0)
	{
	 class(4);
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 ndput(tguard_exp);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (stpick(1)->type == tNULL)
	      {stswap(); stpop();}
	 else stsflink ();
	 putgrn(38);
	}
	} break;
case 73:
# line 762 "gram.y"
{ ndput (tNULL); } break;
case 75:
# line 771 "gram.y"
{ ndput (tNULL); } break;
case 77:
# line 780 "gram.y"
{ ndput (tNULL); } break;
case 79:
# line 789 "gram.y"
{
	if (errorcount == 0)
	{
	 class(4);
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 ndput(texternal_offer);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (stpick(1)->type == tNULL)
	      {stswap(); stpop();}
	 else stsflink ();
	 putgrn(39);
	}
	} break;
case 80:
# line 814 "gram.y"
{ ndput (tNULL); } break;
case 82:
# line 823 "gram.y"
{
	if (errorcount == 0)
	{
	 class(2);
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 ndput(tinternal_action);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (stpick(1)->type == tNULL)
	      {stswap(); stpop();}
	 else stsflink ();
	 putgrn(40);
	}
	} break;
case 83:
# line 842 "gram.y"
{ ndput (tNULL); } break;
case 85:
# line 851 "gram.y"
{
	if (errorcount == 0)
	{
	 if (sttype() == tNULL){
		class(0);
		stpop();
	 }
	 else class(1);
	 ndput(tstop_exp);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (cls == 1) stsflink ();
	 putgrn(41);
	}
	} break;
case 86:
# line 869 "gram.y"
{ ndput (tNULL); } break;
case 88:
# line 878 "gram.y"
{ ndput (tNULL); } break;
case 90:
# line 887 "gram.y"
{
	if (errorcount == 0)
	{
	 class(2);
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 ndput(texit_exp);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (stpick(1)->type == tNULL)
	      {stswap(); stpop();}
	 else stsflink ();
	 putgrn(42);
	}
	} break;
case 91:
# line 906 "gram.y"
{ ndput (tNULL); } break;
case 93:
# line 915 "gram.y"
{ ndput (tNULL); } break;
case 95:
# line 924 "gram.y"
{
	if (errorcount == 0)
	{
	 class(2);
	 if (sttype() == tNULL) stpop();
	 else if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	 ndput(tBUT_instantiation);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (stpick(1)->type == tNULL)
	      {stswap(); stpop();}
	 else stsflink ();
	 putgrn(43);
	}
	} break;
case 96:
# line 943 "gram.y"
{
	if (errorcount == 0)
	{
	 if (sttype() == tNULL){
		class(0);
		stpop();
	 }
	 else class(1);
	 ndput(trelabel);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (cls == 1) stsflink ();
	 putgrn(44);
	}
	} break;
case 97:
# line 961 "gram.y"
{
	if (errorcount == 0)
	{
	 ndput(tcall);
	 staclr (c_lexv, (CLR_TYPE)yypvt[-0].name);
	 staclr (c_line, (CLR_TYPE)yypvt[-0].line);
	 putgrn(45);
	}
	} break;
case 99:
# line 978 "gram.y"
{ if (errorcount == 0) stlrlink (); } break;
case 100:
# line 983 "gram.y"
{
	if (errorcount == 0)
	{
	 class(1);
	 ndput(tvar_domain_list);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (stpick(1)->type == tNULL)
	      {stswap(); stpop();}
	 else stsflink ();
	 putgrn(46);
	}
	} break;
case 102:
# line 1003 "gram.y"
{ if (errorcount == 0) stlrlink (); } break;
case 103:
# line 1008 "gram.y"
{
	if (errorcount == 0)
	{
	 class(1);
	 ndput(tgate_domain_list);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (stpick(1)->type == tNULL)
	      {stswap(); stpop();}
	 else stsflink ();
	 putgrn(47);
	}
	} break;
case 104:
# line 1024 "gram.y"
{
	if (errorcount == 0)
	{
	 ndput(tgate_domain);
	 staclr (c_lexv, (CLR_TYPE)yypvt[-0].name);
	 staclr (c_line, (CLR_TYPE)yypvt[-0].line);
	 putgrn(48);
	}
	} break;
case 105:
# line 1037 "gram.y"
{
	if (errorcount == 0)
	{
	 class(2);
	 stlrlink ();
	 ndput(tpredicate);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (stpick(1)->type == tNULL)
	      {stswap(); stpop();}
	 else stsflink ();
	 putgrn(49);
	}
	} break;
case 107:
# line 1058 "gram.y"
{ if (errorcount == 0) stlrlink (); } break;
case 108:
# line 1063 "gram.y"
{
	if (errorcount == 0)
	{
	 class(1);
	 ndput(tident_equation_list);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (stpick(1)->type == tNULL)
	      {stswap(); stpop();}
	 else stsflink ();
	 putgrn(50);
	}
	} break;
case 109:
# line 1079 "gram.y"
{
	if (errorcount == 0)
	{
	 class(1);
	 ndput(tident_equation);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (stpick(1)->type == tNULL)
	      {stswap(); stpop();}
	 else stsflink ();
	 putgrn(51);
	}
	} break;
case 111:
# line 1099 "gram.y"
{ if (errorcount == 0) stlrlink (); } break;
case 112:
# line 1104 "gram.y"
{
	if (errorcount == 0)
	{
	 class(1);
	 ndput(texperiment_list);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (stpick(1)->type == tNULL)
	      {stswap(); stpop();}
	 else stsflink ();
	 putgrn(52);
	}
	} break;
case 113:
# line 1120 "gram.y"
{
	if (errorcount == 0)
	{
	 putgrn(53);
	}
	} break;
case 114:
# line 1130 "gram.y"
{
	if (errorcount == 0)
	{
	 putgrn(54);
	}
	} break;
case 115:
# line 1140 "gram.y"
{ ndput (tNULL); } break;
case 117:
# line 1149 "gram.y"
{
	if (errorcount == 0)
	{
	 if (sttype() == tNULL){
		class(0);
		stpop();
	 }
	 else class(1);
	 ndput(tvar_id);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (cls == 1) stsflink ();
	 putgrn(55);
	}
	} break;
case 119:
# line 1171 "gram.y"
{ if (errorcount == 0) stlrlink (); } break;
case 120:
# line 1176 "gram.y"
{
	if (errorcount == 0)
	{
	 class(1);
	 ndput(tvalue_exp_list);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (stpick(1)->type == tNULL)
	      {stswap(); stpop();}
	 else stsflink ();
	 putgrn(56);
	}
	} break;
case 121:
# line 1192 "gram.y"
{ ndput(tNULL); } break;
case 122:
# line 1197 "gram.y"
{
	if (errorcount == 0)
	{
	 if (stpick(1)->type == tNULL) {stswap(); stpop();}
	 else stlrlink();
	}
	} break;
case 123:
# line 1208 "gram.y"
{
	if (errorcount == 0)
	{
	 if (sttype() == tNULL){
		class(0);
		stpop();
	 }
	 else class(1);
	 ndput(tvalue_exp);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (cls == 1) stsflink ();
	 putgrn(57);
	}
	} break;
case 125:
# line 1230 "gram.y"
{ if (errorcount == 0) stlrlink (); } break;
case 126:
# line 1235 "gram.y"
{
	if (errorcount == 0)
	{
	 class(1);
	 ndput(tannotation_list);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (stpick(1)->type == tNULL)
	      {stswap(); stpop();}
	 else stsflink ();
	 putgrn(58);
	}
	} break;
case 127:
# line 1251 "gram.y"
{
	if (errorcount == 0)
	{
	 ndput(tannotation);
	 staclr (c_lexv, (CLR_TYPE)yypvt[-0].name);
	 staclr (c_line, (CLR_TYPE)yypvt[-0].line);
	 putgrn(59);
	}
	} break;
case 129:
# line 1268 "gram.y"
{ if (errorcount == 0) stlrlink (); } break;
case 130:
# line 1273 "gram.y"
{
	if (errorcount == 0)
	{
	 class(1);
	 ndput(texit_offer_list);
	 sttop()->value1= (CLR_TYPE)cls;
	 if (stpick(1)->type == tNULL)
	      {stswap(); stpop();}
	 else stsflink ();
	 putgrn(60);
	}
	} break;
case 131:
# line 1289 "gram.y"
{
	if (errorcount == 0)
	{
	 putgrn(61);
	}
	} break;
case 132:
# line 1299 "gram.y"
{
	if (errorcount == 0)
	{
	 putgrn(62);
	}
	} break;
case 133:
# line 1309 "gram.y"
{
	if (errorcount == 0)
	{
	 ndput(tsort_id);
	 staclr (c_lexv, (CLR_TYPE)yypvt[-0].name);
	 staclr (c_line, (CLR_TYPE)yypvt[-0].line);
	 putgrn(63);
	}
	} break;
	}
	goto yystack;		/* reset registers in driver code */
}
